{# obj = {
    figure_classes: [classes, ...],
    img_classes: [classes, ...],
    href: type == 'full' ? img_link : null,
    picture: img_src,
    width: img_width,
    height: img_height,
    alt: news_title|default(null),
    ratio: img_ratio,
    label: label obj cf. component/label.html.twig,
    play: play|default(null),
    sponso: ????
    cover: true | false
} #}

{% macro thumb(obj) %}
    {# Set Classes #}
    {% set figure_join_classes = obj.figure_classes|default([]) %}

    {# no render at ALL #}
    {% set label = '' %}

    {# RATION IMG SETTING #}
    {% if obj.ratio is defined and obj.ratio == '3:4' %}
        {% set ratio_classes = ['thumbnail-3-4'] %}
    {% elseif obj.ratio is defined and obj.ratio == '16:9' %}
        {% set ratio_classes = ['thumbnail-16-9'] %}
    {% elseif obj.ratio is defined and obj.ratio == '1:1' %}
        {% set ratio_classes = ['thumbnail-1-1'] %}
    {% endif %}

    {% if obj.cover|default(true) %}
        {% set cover_class = ['thumbnail-cover'] %}
    {% endif %}

    {% if obj.play|default(false) %}
        {% set play_class = ['thumbnail-play'] %}
    {% endif %}

    {% if obj.href|default(false) %}
        {% set link_class = ['thumbnail-link'] %}
    {% endif %}

    {% set added_classes = ratio_classes|default([])|merge(cover_class|default([]))|merge(play_class|default([]))|merge(link_class|default([])) %}

    {% if obj.target is defined %}
        {% set target = 'target=' ~ obj.target %}
    {% endif %}

    {% if obj.data is defined %}
        {% set data = obj.data.type ~ '="' ~ obj.data.value ~ '"' %}
    {% endif %}

    {# Thumbnail construct #}
    <figure class="thumbnail {{ figure_join_classes|merge(added_classes|default([]))|join(' ')|raw }}">
        {{ _self.img(obj) }}

        {% if obj.play is defined and obj.play == true %}
        <i class="thumb-play material-icons">play_circle</i>
        {% endif %}

        {% if (obj.href is defined and obj.href != null) %}
        <a class="thumb-link"
            href="{{ obj.href }}"
            title="{{ obj.alt is defined ? obj.alt|striptags }}"
            {{ target is defined ? target : '' }}
            {{ data is defined ? data|raw : '' }}
        ></a>
        {% endif %}

        {% if obj.label is defined and obj.label is not null %}
            {% from '@FrontBundle/component/label.html.twig' import label %}
            {{ label(obj.label) }}
        {% endif %}
    </figure>
{% endmacro %}

    {{ obj }}
{% macro img(obj) %}
    {# Set Classes #}
    {% set img_join_classes = obj.img_classes|default([]) %}
    {% if obj.img_100|default(false) %}
        {% set img_join_classes = img_join_classes|merge(["thumb-img-100"]) %}
    {% endif %}
    {% set img_classes = img_join_classes|merge(["thumb-img"])|join(' ')|raw %}

    {% if obj.amp_img|default(false) == true %}
        <amp-img class="{{ img_classes }}"
            src="{{ obj.picture }}"
            width="{{ obj.width is defined ? obj.width }}"
            height="{{ obj.height is defined ? obj.height }}"
            layout="responsive">
        </amp-img>
    {% else %}
        {% set spacer_gif = "data:image/gif;base64,R0lGODlhAQABAIAAAAAAAAAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="%}

        {% if obj.lazyload|default(true) == true %}
            {% set lazy_html_raw = 'loading="lazy"' %}
        {% else %}
            {% set lazy_html_raw = '' %}
        {% endif %}

        <img class="{{ img_classes }}"
            src="{{ obj.picture }}"
            alt="{{ obj.alt is defined ? obj.alt }}"
            width="{{ obj.width is defined ? obj.width }}"
            height="{{ obj.height is defined ? obj.height }}"
            {{ lazy_html_raw|raw }}
        />
    {% endif %}
{% endmacro %}